SCP(1)

NAZWA
scp - OpenSSH secure file copy

SKŁADNIA
scp [-346ABCOpqRrsTv] [-c cipher] [-D sftp_server_path] [-F ssh_config] [-i identity_file] [-J destination] [-l limit] [-o ssh_option] [-P port] [-S program] source ... target

OPIS
scp copies files between hosts on a network.

It uses ssh(1) for data transfer, and uses the same authentication and provides the same security as a login session. The scp protocol requires execution of the remote user's shell to perform glob(3) pattern matching.

scp will ask for passwords or passphrases if they are needed for authentication.

The source and target may be specified as a local pathname, a remote host with optional path in the form [user@]host:[path], or a URI in the form scp://[user@]host[:port][/path]. Local file names can be made explicit using absolute or relative pathnames to avoid scp treating file names containing ‘’: as host specifiers.

When copying between two remote hosts, if the URI format is used, a port cannot be specified on the target if the -R option is used.

Dostępne są następujące opcje:

-3  Copies between two remote hosts are transferred through the local host. Without this option the data is copied directly between the two remote hosts. Note that, when using the legacy SCP protocol (the default), this option selects batch mode for the second host as scp cannot ask for passwords or passphrases for both hosts. This mode is the default.

-4  Wymusza na scp używanie tylko adresów IPv4.

-6  Wymusza na scp używanie tylko adresów IPv6.

-A  Allows forwarding of ssh-agent(1) to the remote system. The default is not to forward an authentication agent.

-B  Wybiera tryb wsadowy (nie pyta o hasła i frazy kodujące).

-C  Włączenie kompresji. Przekazuje flagę -C do programu ssh(1), włączającą kompresję danych.

-c szyfr
    Wybiera szyfr używany do kodowania danych. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-D sftp_server_path
    When using the SFTP protocol support via -M, connect directly to a local SFTP server program rather than a remote one via ssh(1). This option may be useful in debugging the client and server.

-F plik_konfig_ssh
    Określa alternatywny plik konfiguracyjny ssh. Ta opcja jest bezpośrednio przekazywana do ssh(1).

-i plik_tożsamości
    Wybiera plik, z którego odczytywana jest tożsamość (klucz prywatny) dla uwierzytelnienia za pomocą klucza publicznego. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-J destination
    Connect to the target host by first making an scp connection to the jump host described by destination and then establishing a TCP forwarding to the ultimate destination from there. Multiple jump hops may be specified separated by comma characters. This is a shortcut to specify a ProxyJump configuration directive. This option is directly passed to ssh(1).

-l limit
    Określa maksymalną prędkość transferu danych podaną w Kbit/s.

-O  Use the legacy SCP protocol for file transfers instead of the SFTP protocol. Forcing the use of the SCP protocol may be necessary for servers that do not implement SFTP or for backwards-compatibility for particular filename wildcard patterns. This mode is the default.

-o opcje_ssh
    Może być użyte do przekazania opcji programowi ssh w formacie opisanym w ssh_config(5). Opcja ta jest użyteczna do przekazywania opcji, dla których nie ma osobnej flagi linii poleceń w programie scp. Szczegółowe informacje o podanych niżej opcjach i ich możliwych wartościach można znaleźć w podręczniku ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CASignatureAlgorithms
    CertificateFile
    CheckHostIP
    Ciphers
    Compression
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    Hostname
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    SetEnv
    StrictHostKeyChecking
    TCPKeepAlive
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Podaje port, do którego należy się podłączyć na zdalnym hoście. Proszę zauważyć, że opcja ta jest napisana jako wielkie ‘P’, gdyż -p już jest zarezerwowane dla zachowywania czasów modyfikacji i praw dostępu plików.

-p  Zachowuje czasy modyfikacji oraz dostępu i prawa oryginalnego pliku.

-q  Tryb cichy: wyłącza pasek postępu oraz ostrzeżenia i komunikaty diagnostyczne z programu ssh(1).

-R  Copies between two remote hosts are performed by connecting to the origin host and executing scp there. This requires that scp running on the origin host can authenticate to the destination host without requiring a password.

-r  Rekursywnie kopiuje całe katalogi. Proszę zauważyć, że scp podąża za dowiązaniami symbolicznymi napotkanymi podczas przechodzenia po drzewie katalogów.

-S program
    Nazwa programu używanego do tworzenia zakodowanego połączenia. Program ten musi przyjmować opcje ssh(1),

-s  Use the SFTP protocol for file transfers instead of the legacy SCP protocol. Using SFTP avoids invoking a shell on the remote side and provides more predictable filename handling, as the SCP protocol relied on the remote shell for expanding glob(3) wildcards.

    A near-future release of OpenSSH will make the SFTP protocol the default. This option will be deleted before the end of 2022.

-T  Disable strict filename checking. By default when copying files from a remote host to a local directory scp checks that the received filenames match those requested on the command-line to prevent the remote end from sending unexpected or unwanted files. Because of differences in how various operating systems and shells interpret filename wildcards, these checks may cause wanted files to be rejected. This option disables these checks at the expense of fully trusting that the server will not send unexpected filenames.

-v  Tryb gadatliwy. Powoduje, że scp i ssh(1) drukują komunikaty debugowe o swoim działaniu. Jest to przydatne w diagnozowaniu problemów z połączeniem, autoryzacją i konfiguracją.

KOD ZAKOŃCZENIA
scp kończy pracę z kodem 0, jeżeli wszystko odbyło się pomyślnie, lub z kodem >0 w razie wystąpienia błędu.

ZOBACZ TAKŻE
sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sftp-server(8), sshd(8)

HISTORIA
scp jest oparty na programie rcp o kodzie źródłowym pochodzącym z BSD, do którego prawa należą do władz Uniwersytetu Kalifornijskiego.

AUTORZY
Timo Rinne <tri@iki.fi>, Tatu Ylonen <ylo@cs.hut.fi> Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net